Bug 242411 - dns/knot-resolver: upgrade 4.1.0 -> 4.2.2 to fix breakage after knot2-lib upgrade
Summary: dns/knot-resolver: upgrade 4.1.0 -> 4.2.2 to fix breakage after knot2-lib upg...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-12-03 20:13 UTC by Kurt Jaeger
Modified: 2019-12-04 17:26 UTC (History)
1 user (show)

See Also:
freebsd: maintainer-feedback+


Attachments
patch (1.34 KB, patch)
2019-12-03 20:13 UTC, Kurt Jaeger
no flags Details | Diff
unbreak i386 - untested (1.21 KB, patch)
2019-12-04 14:03 UTC, Leo Vandewoestijne
freebsd: maintainer-approval-
Details | Diff
remove libedit and liburcu as dependency in case of libknot (1.73 KB, patch)
2019-12-04 14:07 UTC, Leo Vandewoestijne
freebsd: maintainer-approval-
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kurt Jaeger freebsd_committer 2019-12-03 20:13:01 UTC
Created attachment 209667 [details]
patch

testbuilds@work
Comment 2 Leo Vandewoestijne 2019-12-04 14:03:15 UTC
Created attachment 209691 [details]
unbreak i386 - untested

I didn't expect knot-resolver to break already.
I planned to update it after knot2-lib was upgraded.

I might have the possible solution to unbreak i386, but have not any way to test it.
Enclosed patch should do that - but mind that it's patching dns/knot2 port, not dns/knot-resolver.

I did test Kurts patch manually with success.
With poudriere however it's already taking me over 5 hours, but I didn't want to wait too long with responding.
Comment 3 Leo Vandewoestijne 2019-12-04 14:07:25 UTC
Created attachment 209692 [details]
remove libedit and liburcu as dependency in case of libknot

This patch is the same as my previous (209691),
additional it relocates libedit and liburcu as they are no dependencies for libknot, and unneeded in case of installing knot-resolver.
Comment 4 Leo Vandewoestijne 2019-12-04 15:04:16 UTC
As said Kurts patch worked fine for me when tested manual.
Let's apply patch 209667 and keep 209691 and 209692 for later.
Comment 5 Kurt Jaeger freebsd_committer 2019-12-04 17:25:49 UTC
Committed, thanks!
Comment 6 commit-hook freebsd_committer 2019-12-04 17:26:43 UTC
A commit references this bug:

Author: pi
Date: Wed Dec  4 17:25:43 UTC 2019
New revision: 519032
URL: https://svnweb.freebsd.org/changeset/ports/519032

Log:
  dns/knot-resolver: upgrade 4.1.0 -> 4.2.2, fix breakage due to knot2-lib upgrade

  PR:		242411
  Reported by:	antoine
  Approved by:	Leo Vandewoestijne <freebsd@dns.company> (maintainer)
  Relnotes:	https://www.knot-resolver.cz/2019-07-10-knot-resolver-4.1.0.html
  	https://www.knot-resolver.cz/2019-08-05-knot-resolver-4.2.0.html
  	https://www.knot-resolver.cz/2019-09-26-knot-resolver-4.2.1.html
  	https://www.knot-resolver.cz/2019-09-26-knot-resolver-4.2.2.html

Changes:
  head/dns/knot-resolver/Makefile
  head/dns/knot-resolver/distinfo
  head/dns/knot-resolver/pkg-plist